---
title: Textarea
description: Componente Textarea
---

{/* Componentes React */}
import CustomSandpack from '@site/src/components/CustomSandpack';

{/* Seções */}
import Methods from '../stencil-generated-docs/textarea/methods.md';
import Overview from '../stencil-generated-docs/textarea/overview.md';
import Props from '../stencil-generated-docs/textarea/props.md';
import Migrate from '../stencil-generated-docs/textarea/sections/migrate.md';
import Slots from '../stencil-generated-docs/textarea/slots.md';

{/* Exemplos */}
import contador from '!!raw-loader!../stencil-generated-docs/textarea/examples/contador.html';
import density from '!!raw-loader!../stencil-generated-docs/textarea/examples/density.html';
import inline from '!!raw-loader!../stencil-generated-docs/textarea/examples/inline.html';
import index from '!!raw-loader!../stencil-generated-docs/textarea/examples/simples.html';

{/* Javascript */}
import javascript from '!!raw-loader!../stencil-generated-docs/switch/examples/index.js';

<Overview />
<Props />
<Methods />

## Exemplos

<CustomSandpack htmlCode={density} jsCode={javascript} title="Densidade" />

<CustomSandpack htmlCode={contador} jsCode={javascript} title="Com contador" />

<CustomSandpack htmlCode={inline} jsCode={javascript} title="Label à esquerda" />

<CustomSandpack htmlCode={index} jsCode={javascript} title="Tipo Letra" />

<Slots />
<Migrate />
